%define module  PyQwt

Name:           python-qwt
Version:        5.2.0
Release:        %mkrel 6
Url:            http://pyqwt.sourceforge.net/
License:        GPLv2+
Group:          Development/Python
Summary:        Python bindings for Qwt (Qt Widgets for Technical applications)
Source0:        http://belnet.dl.sourceforge.net/sourceforge/pyqwt/%{module}-%{version}.tar.gz
Provides:       PyQwt = %{version}-%{release}
Requires:       python-qt4
Requires:       python-sip
Requires:	sip-api(%{_sip_api_major}) >= %{_sip_api}
Requires:       python-numpy
%py_requires -d
BuildRequires:  qwt5-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-qt4
BuildRequires:  python-sip

%description
Qwt is an extension to the Qt GUI library. The Qwt library contains
widgets and components which are primarily useful for technical and
scientific purposes. It includes a 2-D plotting widget, different
kinds of sliders, and much more.

PyQwt implements almost all of the functionality of the Qwt library.

%prep
%setup -q -n %{module}-%{version}

%build

cd configure
python configure.py %_smp_mflags \
--extra-cflags="%{optflags}" \
--extra-cxxflags="%{optflags}" \
--extra-lflags="%{?ldflags}" \
--extra-libs="python%{py_ver}" \
-I/usr/include/qwt \
--disable-numeric \
--disable-numarray

%make

%install
%makeinstall_std -C configure

%files
%doc README ANN* qt4examples
%{py_platsitedir}/*
%_datadir/sip/PyQt4/Qwt5/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.2.0-6.mga4
+ Revision: 528346
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 fwang <fwang> 5.2.0-5.mga4
+ Revision: 444686
- more strict sip requires

* Sun Jan 13 2013 umeabot <umeabot> 5.2.0-4.mga3
+ Revision: 379426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 barjac <barjac> 5.2.0-3.mga3
+ Revision: 321100
- changed BR qwt5-devel mga #8166

* Sun Nov 18 2012 fwang <fwang> 5.2.0-2.mga3
+ Revision: 319494
- br qwt5

* Fri Dec 30 2011 barjac <barjac> 5.2.0-1.mga2
+ Revision: 189139
- Cleaned, removed obsolete BRs, added missing include dir
- imported package python-qwt


* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 5.2.0-6mdv2011.0
+ Revision: 624725
- rebuild

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 5.2.0-5mdv2011.0
+ Revision: 593995
- rebuild for py2.7

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 5.2.0-4mdv2011.0
+ Revision: 575042
- rebuild for new python-sip

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 5.2.0-3mdv2011.0
+ Revision: 553452
- rebuild for new python-sip

* Sun Jun 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 5.2.0-2mdv2010.1
+ Revision: 549214
- rebuild for new python-sip (mdv #59940)

* Wed Dec 23 2009 Funda Wang <fwang@mandriva.org> 5.2.0-1mdv2010.1
+ Revision: 481769
- new version 5.2.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 5.1.0-3mdv2009.1
+ Revision: 324117
- fix linkage

* Tue Jun 03 2008 Funda Wang <fwang@mandriva.org> 5.1.0-2mdv2009.0
+ Revision: 214469
- use optflags

* Mon Jun 02 2008 Funda Wang <fwang@mandriva.org> 5.1.0-1mdv2009.0
+ Revision: 214338
- really fix the file list
- fix spec file list
- New version 5.1.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Aug 10 2006 glehmann
+ 08/10/06 19:39:22 (55496)
fix build on x!86_64

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:27:03 (42702)
Import python-qwt

* Tue Jul 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2-2mdk
- build on x86_64
- drop libqwt requirement
- spec cleanup
- buildrequires sip-devel

* Tue Mar 29 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 4.2-1mdk
- initial contrib

